Ubuntu

Various people have a bunch of unrelated problems with name resolution in Ubuntu 12.04

Reported by sladner84 on 2012-04-27
142
This bug affects 29 people
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Medium
Unassigned

Bug Description

I just updated to Ubuntu 12.04.
After the update I cannot resolve hostnames reliably:
I use Konsole in Unity. There sometimes the DNS resolving works fine and suddenly after two commands or so it fails for the same address.

E.g. I ping a machine without DNS-Suffix (the suffix is shown in my network config correctly aside 3 valid nameserver IPs) and everything works fine. Then I try to log into the machine with the same address via ssh and I get a "Name or service not known".
Trying again, it works with a fully qualified name containing the suffix. I also had cases, when the IP wasn't resolved although I put in the fully qualified name. When I am more lucky, it starts working again with machine names only (without suffix, which is configured and worked perfectly up to now)

Is there probably a bug in the new Ubuntu Version?
---
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
DistroRelease: Ubuntu 12.04
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
IpRoute:
 default via 192.168.1.1 dev wlan0 proto static
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.2 metric 2
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
NonfreeKernelModules: nvidia
Package: network-manager 0.9.4.0-0ubuntu4
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.2.0-24.38-generic 3.2.16
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: precise
Uname: Linux 3.2.0-24-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin netdev plugdev sambashare sudo
mtime.conffile..etc.NetworkManager.NetworkManager.conf: 2012-05-09T05:01:02.241358
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 Wired connection 1 a76f352c-6e8c-49c7-bc05-b890445abb22 802-3-ethernet 1336943434 Sun 13 May 2012 05:10:34 PM EDT yes no /org/freedesktop/NetworkManager/Settings/1
 Ladner Computer Repair L.N.A 47560d22-54ec-491b-b90f-a41535d69f00 802-11-wireless 1337213171 Wed 16 May 2012 08:06:11 PM EDT yes no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 wlan0 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/1
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.4.0 connected enabled enabled enabled enabled disabled

sladner84 (sladner84) wrote :

I have the same problem as well.. but mine seem to happen when checking for updates or anything Internet Intensive..I hope there is a fix to this soon..

Steven

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-nettool (Ubuntu):
status: New → Confirmed
sladner84 (sladner84) wrote :

I also have noticed that it only happens when I use my 5G connection.. I have switched to my 2.4G and so far so good...just thought it was worth letting you know

Matt Fischer (mfisch) on 2012-04-27
summary: - DNS Resolve Problems in Ubuntu 12.4
+ DNS Resolve Problems in Ubuntu 12.04
affects: gnome-nettool (Ubuntu) → network-manager (Ubuntu)

This also happens on my upgraded Kubuntu from 11.10 to 12.04

jedix (howlett) wrote :

I noticed that my /etc/resolv.conf only has 127.0.0.1 in it. I believe this is a bug in the new resolvconf package OR the way that the network cards are handled which does not interact as they should with the new resolvconf package.

My work around is to hammer a real dns into /etc/resolv.conf, if this daemon overwrites it I will cron something to keep overwriting it until someone fixes this or I have time to look into the issue further.

Marcus Wiech (wiechmarcus) wrote :

This "work around" did not worked for me...

after adding "nameserver 8.8.8.8" to /etc/resolv.conf and removing all other nameservers, im still unable to resolve IPs.
also tried "resolvconf -d eth1 -a 8.8.8.8" without success.

pinging google for example will give me 192.168.1.251 back. Im still not able to figure out, where this 192.168.1.251 comes from.

pinging an IP directly works without issues

tomx (tom-xitio) wrote :

I had to restore values of our company network that i entered when on 11.10:

in /etc/resolv.conf:

domain int.snakeoil.com
search int.snakeoil.com ext.snakeoil.com com
nameserver 192.168.25.1
nameserver 192.168.2.1

I have the same problem.

Charles Peters II (cp) wrote :

My old laptop also has this problem with 12.04 lubuntu.

I have the same issue in Xubuntu 12.04

Kitsab (kitsab) wrote :

Hi,

I found a workaround that works for me, theres a description adding this line "dns-nameservers [IP address(es) of your DNS]" to the /etc/network/interfaces file.

Description found [link url="http://askubuntu.com/questions/127498/resolv-conf-doesnt-get-set-on-reboot-when-networking-is-configured-for-static-i"]here[/link]

sladner84 (sladner84) wrote :

ok I read that.. now what about people who dont use a static IP address like for example those of us who just use a Ubuntu on a desktop home computer..

tom king (carlbarfarm2) wrote :

Same problem with me. I'm one of the 99% ers. Web access to news with 12.04 is horrendous. So many dnsresolv addresses and many timeouts. Fox, msnbc, cnn is rare that the page completes without something missing. There is no difference whether wireless connected or eth connected on my dv6000 and same symptoms whether using firefox or opera. In the interim to a fix, I'm forced to use Vista!

sladner84 (sladner84) wrote :

hey Tom,

have you tried using Ubuntu 11.10?...

tom king (carlbarfarm2) wrote :

I had been using 11.10 and opted to the released 12.04. Actually I been using Ubuntu since 10. I routinely install the updates and haven't had any issues until 12. I'm just a regular user and prefer to stay out of the internals of ux. I'm sure the people in the know will get it resolved, so once a day I boot up to see if an update may download and fix the problem.

cirrus (andreas-kahl) wrote :

Here you can find a documentation of the changes to the DNS-configuration of the new Ubuntu release 12.04:
http://akyl.net/changes-dns-resolvconf-ubuntu-1204-precise-pangolin

Ccampora (ccampora) wrote :

A workaround that worked for me

edit /etc/NetworkManager/NetworkManager.conf and comment the “dns=dnsmasq” line then do a “sudo restart network-manager”.

tom king (carlbarfarm2) wrote :

cirrus and Ccampora,

I read the doc and applied the comment and restart as Ccampora did and my web access is fine now both on wlan and eth. Thanks for your help - twk

Ccampora and Sladner84,

I am staying at an university and I use a static IP just like you do. After following Ccampora's workaround, I am able to access the internet fine. Hope it works for you too!

sladner84 (sladner84) wrote :

But I dont use a static IP... anyways this is getting on my nerve's someone just fix it already lol so we can download the patch/fix or whatever.. I am tired of always having to disconnect and reconnet to my wireless to get it to work when it quits!!! its a real pain to search for updates when I am always having to reset my wireless connection :( which is about every 5 min's or so

Wolf Rogner (war-rsb) wrote :

Same symptoms

Connection to my mail server with Thunderbird fail regularly.

Ccamporas workaround did not work though.

resolvconf -u updates the file /run/resolvconf/resolv.conf but leaves out the domain information (which DHCP delivers).

Ccampora (ccampora) wrote :

if u follow the doc about the changes in how ubuntu now resolves DNS request u should figure out that there is a change in dns resolver which now points to 127.0.0.1 as you can see in /etc/resolv.conf . The workaround that i posted change that to the "old" behavior wich writes dns servers given by dhcp system . Make sure u dont have 127.0.0.1 in your /etc/resolv.conf , having that means u haven't made the change to the conf properly.

Thanks Ccampora, your workaround fixed the issue for me too.

sladner84 (sladner84) wrote :

Ccampora. I tried that work around.. and my /etc/resolv.conf. it doesnt show 127.0.0.1....it shows 192.168.1.1 but the problem still exists... I am at a loss here.. Here are the contants of my resolv.conf file..

# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
# DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN
nameserver 192.168.1.1

Let me know if there is anything more I can provide that might help... and just for a FYI My wireless card is a Linsys WMP600N and it looks to be running the RT2800PCI driver

Patrick Fratczak (patfrat) wrote :

Thank you Ccamparo ... this bug affects me too and your solution works for me
edit /etc/NetworkManager/NetworkManager.conf and comment the “dns=dnsmasq” line
then do a “sudo service network-manager restart”.

Ccampora (ccampora) wrote :

sladner84 it seems to me that u have an additional problema. Try the next

$ telnet 192.168.1.1 53 // to see if u have a running dns server there

if u have a conection then try

$ host www.google.com 192.168.1.1 and see what resolvs for

if it doesnt resolve then u probably have a problem in your router box , or my second guess is that the wireless driver is having some issue , if that the case i dont see another solution than submitting another bug report regarding only to your specific network card.

Hope this helps.

sladner84 (sladner84) wrote :

Ccamopora... what is the command for the telnet check that u suggested. I copied and pasted "$ telnet 192.168.1.1 53 // " and it said command not found"

Remove the leading dollar

sladner84 <email address hidden> schrieb:

>Ccamopora... what is the command for the telnet check that u suggested.
>I copied and pasted "$ telnet 192.168.1.1 53 // " and it said command
>not found"
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/989900
>
>Title:
> DNS Resolve Problems in Ubuntu 12.04
>
>Status in “network-manager” package in Ubuntu:
> Confirmed
>
>Bug description:
> I just updated to Ubuntu 12.04.
> After the update I cannot resolve hostnames reliably:
> I use Konsole in Unity. There sometimes the DNS resolving works fine and suddenly after two commands or so it fails for the same address.
>
> E.g. I ping a machine without DNS-Suffix (the suffix is shown in my network config correctly aside 3 valid nameserver IPs) and everything works fine. Then I try to log into the machine with the same address via ssh and I get a "Name or service not known".
> Trying again, it works with a fully qualified name containing the suffix. I also had cases, when the IP wasn't resolved although I put in the fully qualified name. When I am more lucky, it starts working again with machine names only (without suffix, which is configured and worked perfectly up to now)
>
> Is there probably a bug in the new Ubuntu Version?
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/989900/+subscriptions

I had the same problem. In /etc/nsswitch.conf I put dns as the first entry of the hosts line and it resolved my issue.

nixolas (crgrill) wrote :

Actually you probably want to put that as the second entry so opening files isn't slow.

sladner84 (sladner84) wrote :

telnet> telnet 192.168.1.1 53 //
?Invalid command
telnet> telnet 192.168.1.1 53
?Invalid command

Lisa Nelson (lisa50469) wrote :

This issue is BAD! I've got Ubuntu 11.10 LDAP clients that I can't replace with 12.04 clients do to the instability of that resolver crap and gsettings locking up... Worst release so far....

sladner84 (sladner84) wrote :

Lisa I dont know about your situation but I was able to get it working.. what worked for me was the last thing I would of even thought to check out.. I had to manually change the channel that my wireless networks used and drop my router speed from 300 mbs to 54mb.. and to my surprise it freaking worked.. I was so frustrated wtih the whole thing.. so kudos to the troubleshooters here on Launchpad!

There are too many different issues being listed here -- and far too little information to be able to debug any of them.

Please, if you're running into an issue with DNS resolution; file your own bugs. We'll get to each of them separately and fix them separately -- or I'll mark them duplicate where necessary. Please also make sure you use the 'ubuntu-bug network-manager' command to report your bugs, it adds important useful information.

sladner84: if you're still having issues, please make sure you run the 'apport-collect 989900' command in a terminal to attach more information to this bug report; you should also attach /run/nm-dns-dnsmasq.conf and /etc/resolv.conf; and check that dnsmasq is running on your system. If anything had to do with *just* changing wireless speeds or channels, it has nothing to do with NetworkManager, resolvconf, or dnsmasq.

Marking Incomplete for now awaiting for more information; if this is actually fixed for you, then let's close this bug report and look at the others that the other people commenting on this bug will file.

Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete

apport information

tags: added: apport-collected precise
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I think it is a bug cause I cant use my full wireless speed with 12.04 where I could with 11.10

sladner84 (sladner84) wrote :

I have to set my router at 54mb instead of the normal 300mbs that I can use or else my wifi will cut out and I have to disconnect and then reconnect and then it only works for a few moments... another troubleshooter here by the name of mark Rijckenberg he made the suggestion to make the changes to my router

sladner84 (sladner84) on 2012-05-18
Changed in network-manager (Ubuntu):
status: Incomplete → Confirmed
sto (f4eru) wrote :

hello

same problem here.
workaround with "dns=dnsmasq" did not work.
It is not serious for a LTS to have a fully broken DNS and no fix available. Will go to linux mint.

sladner84 (sladner84) wrote :

Linux Mint is based on Ubuntu so if your gonna be using Linux mint 12 RC it has the same problems.. I have tried that distro on my computer as well.. Mint was my first linux experince and I have loved Linux since.. but if you go with Linux mint 12 it is based on Ubuntu 11.10 :)

sladner84 (sladner84) wrote :

Opps my back I ment to say Linux Mint 13 RC sorry

Ryan Farmer (ryanfarmer-t) wrote :

Having Network Manager set to use dnsmasq doesn't get along very well with Comcast, using the suggestion of commenting out the dnsmasq line from /etc/NetworkManager/NetworkManager.conf and restarting the network-manager service fixed the problem for me.

As usual, the rolling list of crap I have to edit by hand to work around Ubuntu's bugs that they can't or won't fix or claim is not a bug continues to grow.

Changing the problem to "Incomplete" instead of attempting to figure out what got you to the point where you have broken internet access for millions of Comcast users and hoping the problem fades off into the sunset with not another word spoken about it exemplifies everything I've come to expect from Ubuntu developers.

How about reverting it to the way it was in 11.10, which wasn't broken, and letting the few users who actually NEED dnsmasq turn it on themselves. Radical concept?

Michael Cook (michaelcook-mjc) wrote :

U12.04 introduced local dnsmasq in Network Manager. This is "ok" when all networking is managed by Network Manager. As soon as I update my network interfaces file, all hell breaks loose. Wifi configuration applet sometimes appears, wlan0 seems completely unpredictable whether it will appear. resolv.conf is completely useless with only 127.0.0.1 and I usually have to manually edit it.

While it seems 12.04 intentionally put local dnsmasq in to save routing all traffic over a VPN (a worthy use-case) the rest of Network Manager (which generally acts like a piece of crap and gets confused) seems to completely toast all network connectivity.

I'm constantly having to edit /etc/resolv.conf everytime I startup my computer and change network topology (wifi vs lan).

(Can someone in the interwebz re-write Network Manager, Sound and Graphics support for Linux... I have wasted so much of my life on these three basic necessities of a computer-user.)

Ryan: please file a *separate* bug about the issues you're seeing, preferably attaching /etc/resolv.conf, /run/resolvconf/interfaces/NetworkManager, and /run/nm-dns-dnsmasq.conf when you have dns=dnsmasq enabled. That way we'll be able to fix the issue, but without a bug report there is very little we can do. If it's something funky that Comcast does, then the fastest there is a bug with sufficient information the fastest they can be contacted to fix their DNS servers if they are broken.

Michael: this is expected behavior. Interfaces configured manually in /etc/network/interfaces are ignored by NetworkManager. If it's your only interface, then yes, the applet might not show. Please, *please* file a bug for the particular issues you're seeing; attach all the information we might need and then we'll be able to fix the issues.

sladner84: if you were able to fix your issues by changing the channel or wifi speeds or whatnot; then this has nothing to do with dns resolution by itself. It's a kernel bug. Please confirm what's going on, there's no indication of anything wrong in the syslog excerpt that is now attached on this bug report. Thanks!

Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Medium
Roman Novikow (rrl-software) wrote :

The file /etc/resolv.conf is the symbolic link to /run/resolvconf/resolv.conf. So I've "solve" the problem by removing the link (sudo rm /etc/resolv.conf) and creating a new file (sudo vi /etc/resolv.conf). So I have my DNS-client is working O'k even after rebooting... I know - it's not a right way but I've contented for now...

Thomas Hood (jdthood) wrote :

jedix in #5:
> I noticed that my /etc/resolv.conf only has 127.0.0.1 in it. I believe this is a bug in the new resolvconf package

It's not a bug. It's correct.

Marcus in #6:
> after adding "nameserver 8.8.8.8" to /etc/resolv.conf

Don't do that. If you must temporarily add static entries to /etc/resolv.conf, put them in /etc/resolvconf/resolv.conf.d/head or .../base.

Michael in #52:
> I'm constantly having to edit /etc/resolv.conf everytime I startup my computer and change network topology (wifi vs lan).

/etc/resolv.conf should be a symlink to ../run/resolvconf/resolv.conf and the file shouldn't be edited by hand.

Most name resolution problems in 12.04 can be solved by commenting out the "dns=dnsmasq" line in /etc/NetworkManager/NetworkManager.conf.

If that does not suffice then you can add temporary static nameserver addresses to /etc/resolv.conf via the files /etc/resolvconf/resolv.conf.d/head etc.

Please read resolvconf(8) to gain an understanding of how resolvconf works.

Thomas Hood (jdthood) wrote :

@sladner84: Do you think your problem is the same as the one reported in bug #998712?

Thomas Hood (jdthood) wrote :

Michael in #52:
> As soon as I update my network interfaces file, all hell breaks loose. Wifi configuration applet sometimes appears, wlan0 seems completely unpredictable whether it will appear.

Sounds like bug #391040. Please submit the information you have about that issue to that bug report.

Rick Gutknecht (gutknechtr) wrote :

I am running Linux Mint 13 and am having the same issue. I thought at first it was a broadcom issue, but my pings to ips are fine but dns resolution keeps dropping out. I did not find a /etc/resolv.conf, /run/resolvconf/interfaces/NetworkManager. /run/nm-dns-dnsmasq.conf reflects:

server=208.67.222.222
server=208.67.220.220
server=192.168.1.1
server=2601:5:c080:59:22aa:4bff:fe71:6487

This is the correct DNS servers provided by DHCP from my CISCOrouter.

Thomas Hood (jdthood) wrote :

@Rick: Purge and reinstall both resolvconf and network-manager and see if you then have /etc/resolv.conf (dynamically generated by resolvconf). If the default settings don't work, comment out "dns=dnsmasq" in /etc/NetworkManager/NetworkManager.conf and "sudo restart network-manager".

Thomas Hood (jdthood) wrote :

I should mention that after purging and reinstalling resolvconf and network-manager you should reboot.

Rick: you're using IPv6. Please attach /var/log/syslog; it's possible that resolution is dropping because dnsmasq gets restarted due to changes in IPv6 addresses and routes.

Lagos Marodel (seqtui) wrote :

@ Roman:

The file /etc/resolv.conf is the symbolic link to /run/resolvconf/resolv.conf. So I've "solve" the problem by removing the link (sudo rm /etc/resolv.conf) and creating a new file (sudo vi /etc/resolv.conf). So I have my DNS-client is working O'k even after rebooting... I know - it's not a right way but I've contented for now...

Thank you, thank you, thank you.

THIS is the solution. I hope, Canonical will stay on this road, because I need no further problems.

Greetings

Thomas Hood (jdthood) on 2012-07-03
summary: - DNS Resolve Problems in Ubuntu 12.04
+ Various people have a bunch of unrelated problems with name resolution
+ in Ubuntu 12.04
Thomas Hood (jdthood) on 2012-07-03
Changed in network-manager (Ubuntu):
status: Incomplete → Invalid
Thomas Hood (jdthood) wrote :

The original report by sladner84 seems to be related to a faulty router and/or faulty hardware drivers in Ubuntu. Beyond that this report contains random unrelated reports of name resolution problems in Ubuntu 12.04 and quite a bit of misinformation. The contributors are invited to contribute their information to relevant bug reports or to open new bug reports each containing a good description of one reproducible problem and lots of information that will be useful in diagnosing and solving the problem.

@sladner84: If you can isolate the problem you are having, please open a new bug report too.

JW (arch0njw) wrote :

I had the same problem as tomx (https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/989900/comments/7) -- my /etc/resolve.conf had wrong values in it that would not update no matter what I did. It is my understanding that this file should update relative to the network I'm on.

Without revealing sensitive information, the file had the following in it
domain {home domain value}
search {home search value}
nameserver {home nameserver value 1}
nameserver {home nameserver value 2}
nameserver {home nameserver value 3}

This was an appropriate configuration for connecting from my home network.

However, for my office network it needed to be this:
nameserver 127.0.0.1
search {office search value}

Only after changing that by hand was I able to connect to the network.

Whatever is supposed to be updating that file is not doing so.

Rick Gutknecht (gutknechtr) wrote :

@Thomas Thanks for the help.. I purged resolvconf and netowrk-manager... not thinking.... Now I cannot resolve DNS to install from the repositories. System totally broke now....

Rick Gutknecht (gutknechtr) wrote :

I'm no linux espert, far from it, but after bricking my system, I booted to a live CD and through the magic of chroot I was able to reinstall resolvconf and network-manager. So far so good. I now have a resolv.conf file. I have a second computer that had the same issue. I wanted to change the way my HD was partitioned so I reinstalled Linux Mint 13. But it still is having DNS issues and no resolv.conf is created. I will chroot it later and purge and reinstall resolvconf and network-manager. But I guess this isn't a bug?

Thomas Hood (jdthood) wrote :

@Rick: I am happy to hear that you managed to get resolvconf and network-manager reinstalled and your system unbricked.

Although it is usually the case that resolvconf and network-manager get installed and operate properly, it is possible that there is some bug that bites only in special circumstances which happen to obtain for you. The fact that you have *two* systems with the same problem suggests that there is some such bug.

The problem is, there is not much we can do with that statement. What exactly is wrong with the systems and how did they get that way, and what caused them to be that way?

In order to answer these questions we need your help. We will need you to reinstall Ubuntu 12.04 on at least one of the systems, carefully recording all the steps you take. And we will need you to tell us exactly what is wrong with the resulting installed system. And then we will need you to investigate the system and send us syslogs and such. If you are willing to do all this then please open a fresh new bug report. :)

joshyg6 (josheg) wrote :

Seems to be related to this kernel bug maybe? https://bugzilla.kernel.org/show_bug.cgi?id=43123

joshyg6 (josheg) wrote :

Did anyone have a successful workaround/fix yet? That actually worked?

Thomas Hood (jdthood) wrote :

@joshyg6: Please browse through the hundreds of network-manager bug reports for one that looks more like the problem you are having.

Download full text (3.9 KiB)

I haven't rebooted yet, but so far this situation is much better with 8..8 and 8..4 dns servers.. From within edit connection.

Sent from my iPhone

On Jul 19, 2012, at 4:35 AM, Thomas Hood <email address hidden> wrote:

> @joshyg6: Please browse through the hundreds of network-manager bug
> reports for one that looks more like the problem you are having.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/989900
>
> Title:
> Various people have a bunch of unrelated problems with name resolution
> in Ubuntu 12.04
>
> Status in “network-manager” package in Ubuntu:
> Invalid
>
> Bug description:
> I just updated to Ubuntu 12.04.
> After the update I cannot resolve hostnames reliably:
> I use Konsole in Unity. There sometimes the DNS resolving works fine and suddenly after two commands or so it fails for the same address.
>
> E.g. I ping a machine without DNS-Suffix (the suffix is shown in my network config correctly aside 3 valid nameserver IPs) and everything works fine. Then I try to log into the machine with the same address via ssh and I get a "Name or service not known".
> Trying again, it works with a fully qualified name containing the suffix. I also had cases, when the IP wasn't resolved although I put in the fully qualified name. When I am more lucky, it starts working again with machine names only (without suffix, which is configured and worked perfectly up to now)
>
> Is there probably a bug in the new Ubuntu Version?
> ---
> ApportVersion: 2.0.1-0ubuntu7
> Architecture: amd64
> DistroRelease: Ubuntu 12.04
> IfupdownConfig:
> auto lo
> iface lo inet loopback
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
> IpRoute:
> default via 192.168.1.1 dev wlan0 proto static
> 169.254.0.0/16 dev wlan0 scope link metric 1000
> 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.2 metric 2
> NetworkManager.state:
> [main]
> NetworkingEnabled=true
> WirelessEnabled=true
> WWANEnabled=true
> WimaxEnabled=true
> NonfreeKernelModules: nvidia
> Package: network-manager 0.9.4.0-0ubuntu4
> PackageArchitecture: amd64
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 3.2.0-24.38-generic 3.2.16
> RfKill:
> 0: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> Tags: precise
> Uname: Linux 3.2.0-24-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin netdev plugdev sambashare sudo
> mtime.conffile..etc.NetworkManager.NetworkManager.conf: 2012-05-09T05:01:02.241358
> nmcli-con:
> NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
> Wired connection 1 a76f352c-6e8c-49c7-bc05-b890445abb22 802-3-ethernet 1336943434 Sun 13 May 2012 05:10:34 PM EDT yes no /org/freedesktop/NetworkManager/Settings/1
> Ladner Computer Repair L...

Read more...

jonathan (enlinea777) wrote :

MI solucion.
He visto que si agregas los dns-nameserver en interfaces esta no toma los server de resolucion de nombres

Gracias a la ayuda encontrada en esta pagina he resuelto el problema.
http://manpages.ubuntu.com/manpages/lucid/man8/resolvconf.8.html
Para hacer que resolv.conf no cambie cuando la editamos manualmente hacemos esto en la terminal:
sudo resolvconf --disable-updates
despues:
sudo resolvconf -a eth0 # o tu interfas de red
luego editamos manualmente /run/resolvconf/resolv.conf

agregando un maximo de 2 DNS servers.
saludos
P.D. no olvidar reiniciar:
sudo /etc/init.d/networking restart

English translation

my solution.
I noticed that if you add the dns-nameserver in interfaces that do not take the name resolution server
Thanks to the help found here have solved the problem.
http://manpages.ubuntu.com/manpages/lucid/man8/resolvconf.8.html
To make resolv.conf not change when we edit manually do this in the terminal:
sudo resolvconf --disable-updates
after:
sudo resolvconf -a eth0 # or your network Interfas

then manually edit /run/resolvconf/resolv.conf

adding a maximum of two DNS servers.
thanks
P.S. not forget to restart:
sudo /etc/init.d/networking restart

Thomas Hood (jdthood) wrote :

> I noticed that if you add the dns-nameserver in interfaces that do not take the name resolution server

You have to use the option keyword "dns-nameservers", not "dns-nameserver".

> To make resolv.conf not change

The way you propose to make resolv.conf not change is not a good one. You can run "resolvconf --disable-updates" but updates will be re-enabled after reboot.

To make resolvconf completely static you should replace /etc/resolv.conf with a static file. Normally it is a symbolic link to /run/resolvconf/resolv.conf.

It isn't optimal to have a completely static resolv.conf. Perhaps what you should do is add

    nameserver 1.2.3.4

to the /etc/resolvconf/resolv.conf.d/base file, or something along those lines.

PTR (peter-golitz) wrote :

How the problem appears to me:

I am installing the Ubuntu server 12.04 (32 bit) in a clean machine.
First I gave it a fix IP address, installed SSL and a standard LAMP server from the disk. Afterwards made some updates. Everything went well.

Then I unplugged all peripherals and let it stand alone, connected in the local net. I was accessing the server from a win machine means PuTTY, accessing the server via OpenSSL. I tipped the server name in the terminal and logged me in without problems.

But AFTER installing DNS manually (via apt-get) the TTY terminal does not found the server by the machine's name anymore. By the other way, if I tip the IP address directly, everything works well. For me it seems to be a problem in the name resolution within my home network, possibly within the DNS.

piotr zimoch (ebytyes) on 2013-05-25
Changed in network-manager (Ubuntu):
status: Invalid → New
status: New → Incomplete
status: Incomplete → Opinion
status: Opinion → Invalid
status: Invalid → Confirmed
status: Confirmed → In Progress
status: In Progress → Fix Committed
status: Fix Committed → Fix Released
Thomas Hood (jdthood) wrote :

Can someone please set the status back to "incomplete"?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.